<details>
<summary> <%= warning(migration) %> <h4>Migration: <%= migration.name_formatted %></h4></summary>
* Type: <%= type(migration) %> <br>
* Duration: <%= walltime(migration) %> <br>
* Database size change: <%= total_size_change(migration) %><%= conditional_size_change_note(migration) %>

% if migration.queries.any?
<%= render_pgss_table(migration.queries) %>

% if create_table_queries.present?
  <%= render_migration_column_ordering_suggestion(create_table_queries) %>
% end
% if create_index_queries.present? && exceeds_time_guidance
  <%= render_index_creation_timing_exceeded_warning(create_index_queries) %>
% end
% end

<%= render_migration_histogram(migration) %>

</details>